Subject: bug#891: 23.0.60; Emacs aborts after buffer-swap-text

From: Jason Rumney <[email-masked]>
Date: Fri, 05 Sep 2008 17:57:24 +0800

unmerge 891
thanks

Stephen Berman wrote:
> On Fri, 05 Sep 2008 07:06:57 +0800 Jason Rumney <[email-masked]> wrote:
>   
>> Stephen Berman wrote:
>>     
>>> 1. emacs -Q
>>> 2. Load the library tabbar.el, available from
>>> http://emhacks.cvs.sourceforge.net/emhacks/emhacks/tabbar.el?revision=1.69&view=markup
>>> 3. M-x tabbar-mode
>>> 4. M-: (buffer-swap-text (get-buffer "*Messages*"))
>>> 5. C-c C-right (tabbar-forward)
>>>    ==> Emacs aborts
>>>   
>>>       
>> This seems to be the same bug as has been happening with tar-mode on Windows
>> since tar-mode was changed to use buffer-swap-text. So the underlying bug is
>> not platform specific after all. Do you also get crashes when opening tar
>> files in Emacs?
>>     
>
> No, opening a .tar, .tar.gz, or .tgz file works fine here (before
> applying Stefan's patch).  I also could not reproduce the crash with
> your recipe in the 716 thread.  So I guess there are still some platform
> specific issues.
>   

Stefan's patch does not help with the tar-mode crashes, so I guess this 
is a different bug after all.